pcl::gpu::PPFEstimation Class Reference

** More...

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/features/include/pcl/gpu/features/features.hpp>`

Inheritance diagram for pcl::gpu::PPFEstimation:

## Public Member Functions

void | compute (DeviceArray< PPFSignature > &features)
Public Member Functions inherited from pcl::gpu::FeatureFromNormals
void | setInputNormals (const Normals &normals)
Public Member Functions inherited from pcl::gpu::Feature
| Feature ()
void | setInputCloud (const PointCloud &cloud)
void | setSearchSurface (const PointCloud &surface)
void | setIndices (const Indices &indices)
void | setRadiusSearch (float radius, int max_results)

## Additional Inherited Members

Public Types inherited from pcl::gpu::Feature
typedef PointXYZ | PointType
typedef PointXYZ | NormalType
typedef DeviceArray< PointType > | PointCloud
typedef DeviceArray< NormalType > | Normals
typedef DeviceArray< int > | Indices
Protected Attributes inherited from pcl::gpu::FeatureFromNormals
Normals | normals_
Protected Attributes inherited from pcl::gpu::Feature
PointCloud | cloud_
PointCloud | surface_
Indices | indices_
float | radius_
int | max_results_
Octree | octree_

## Detailed Description

**

Class for PPF estimation.

Definition at line 162 of file features.hpp.

## Member Function Documentation

## compute()

void pcl::gpu::PPFEstimation::compute | ( | DeviceArray< PPFSignature > & | features | ) |

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/features/include/pcl/gpu/features/features.hpp